#### Previous topic

scipy.special.j1

#### Next topic

scipy.special.y1

# scipy.special.y0

`scipy.special.``y0`(x) = <ufunc 'y0'>

  Bessel function of the second kind of order 0.

  Parameters:

  x : array_like

  > Argument (float).

  Returns:

  Y : ndarray

  > Value of the Bessel function of the second kind of order 0 at x.

  See also

  `j0`, `yv`

  Notes

  The domain is divided into the intervals [0, 5] and (5, infinity). In the first interval a rational approximation \(R(x)\) is employed to compute,

  \[Y_0(x) = R(x) + \frac{2 \log(x) J_0(x)}{\pi},\]

  where \(J_0\) is the Bessel function of the first kind of order 0.

  In the second interval, the Hankel asymptotic expansion is employed with two rational functions of degree 6/6 and 7/7.

  This function is a wrapper for the Cephes [R508] routine `y0`.

  References

  [R508] | (1, 2) Cephes Mathematical Functions Library, http://www.netlib.org/cephes/index.html